/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file irq.h
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#ifndef IRQ_H_037ADD8D_3AAA_4541_A876_843DFF3A59E8
#define IRQ_H_037ADD8D_3AAA_4541_A876_843DFF3A59E8

#include <aarch64/aarch64.h>

void
k_irq_enable_controller(void);

void
k_irq_handler(void);

void
k_irq_fallback(int type, unsigned long esr, unsigned long address);

#define k_irq_enable(...) aarch64_irq_enable(__VA_ARGS__)

#define k_irq_disable(...) aarch64_irq_disable(__VA_ARGS__)

#endif /* !IRQ_H */
