/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file uart.c
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#include "uart_qemu.h"

#define UART_BASE 0x09000000;

volatile unsigned int *UART0 = (unsigned int *)UART_BASE;

int
uart_qemu_write(unsigned char c)
{
	*UART0 = (unsigned int) c;
	return 0;
}



