/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file util.h
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#ifndef AARCH64_H_F3AA8888_CEB3_4C16_9835_C3F23B040BB5
#define AARCH64_H_F3AA8888_CEB3_4C16_9835_C3F23B040BB5

#include "aarch64_reg.h"
#include "aarch64_irq.h"

extern unsigned int
aarch64_init(void);

extern unsigned int
aarch64_get_el(void);

extern unsigned int
aarch64_get32r(unsigned long reg);

extern void
aarch64_set32r(unsigned long reg, unsigned int value);

extern void
aarch64_delay(unsigned long cycles);

extern void
aarch64_irq_enable(void);

extern void
aarch64_irq_disable(void);

#endif /* !AARCH64_H */
